Bug 103867 - scripts/check-files may break build if no BuildRoot is used
scripts/check-files may break build if no BuildRoot is used
Status: CLOSED ERRATA
Product: Red Hat Linux
Classification: Retired
Component: rpm (Show other bugs)
GinGin64
All Linux
medium Severity low
: ---
: ---
Assigned To: Jeff Johnson
Mike McLean
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-09-05 16:58 EDT by Michael Schröder
Modified: 2007-04-18 12:57 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-12-27 12:59:46 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
proposed fix (347 bytes, patch)
2003-09-05 16:59 EDT, Michael Schröder
no flags Details | Diff

  None (edit)
Description Michael Schröder 2003-09-05 16:58:22 EDT
check-files gets a list of files to check via a pipe to stdin. if
no buildroot is set the current implementation just does exit 1, which
may lead to a broken pipe signal as the input doesn't get discarded.

Fix: cat filelist to /dev/null in that case.
Comment 1 Michael Schröder 2003-09-05 16:59:20 EDT
Created attachment 94264 [details]
proposed fix
Comment 2 Jeff Johnson 2003-09-07 13:50:48 EDT
Right fix is to make BuildRoot: mandatory and phase out of
spec files. There are important reasosn for always building
with BuildRoot: everything else is hysterical legacy.

BTW, thanks very much for the patches, it's very, very helpful
in identifying rpm problems and getting a fix in place even if we
disagree on details. I want these rpm bits fixed no matter what.
Comment 3 Jeff Johnson 2003-12-27 12:59:46 EST
Added to CVS, should be in rpm-4.2.2-0.8 and later.

Thanks for patch.
Comment 4 John Flanagan 2004-05-12 00:27:22 EDT
An errata has been issued which should help the problem described in this bug report. 
This report is therefore being closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files, please follow the link below. You may reopen 
this bug report if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2004-098.html

Note You need to log in before you can comment on or make changes to this bug.